TimeSpan (KML Framework API)
Keywords: org.boehn.kmlframework.kml.TimeSpan class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class TimeSpan

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.TimePrimitive
              org.boehn.kmlframework.kml.TimeSpan

    public class TimeSpan

extends TimePrimitive

Constructor Summary
`TimeSpan()`
`TimeSpan(java.lang.String begin, java.lang.String end)`

Method Summary
`java.lang.String` | `getBegin()`
`java.lang.String` | `getEnd()`
`void` | `setBegin(java.lang.String begin)`
`void` | `setEnd(java.lang.String end)`
`void` | `write(Kml kml)`
`void` | `writeDelete(Kml kml)`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeSpan

    public TimeSpan()

### TimeSpan

    public TimeSpan(java.lang.String begin,
                    java.lang.String end)

Method Detail

### getBegin

    public java.lang.String getBegin()

### setBegin

    public void setBegin(java.lang.String begin)

### getEnd

    public java.lang.String getEnd()

### setEnd

    public void setEnd(java.lang.String end)

### write

    public void write(Kml kml)
               throws KmlException

  Specified by:
    `write` in class `KmlObject`
  Throws:
    `KmlException`

### writeDelete

    public void writeDelete(Kml kml)
                     throws KmlException

  Specified by:
    `writeDelete` in class `KmlObject`
  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD